Loading...
Searching...
No Matches
Dune::IndexPair< TG, TL > Class Template Reference
Common » Parallel Communication » Parallel Computing based on Indexsets

A pair consisting of a global and local index. More...

`#include <dune/common/parallel/indexset.hh>`

Inheritance diagram for Dune::IndexPair< TG, TL >:

## Public Types

typedef TG | GlobalIndex
| the type of the global index.
typedef TL | LocalIndex
| the type of the local index.

## Public Member Functions

| IndexPair (const GlobalIndex &global, const LocalIndex &local)
| Constructs a new Pair.
| IndexPair ()
| Construct a new Pair.
| IndexPair (const GlobalIndex &global)
| Constructs a new Pair.
const GlobalIndex & | global () const
| Get the global index.
LocalIndex & | local ()
| Get the local index.
const LocalIndex & | local () const
| Get the local index.
void | setLocal (int index)
| Set the local index.

## Friends

struct | MPITraits< IndexPair< TG, TL > >
std::ostream & | operator<< (std::ostream &os, const IndexPair< TG, TL > &pair)
| Print an index pair.
bool | operator== (const IndexPair< TG, TL > &a, const IndexPair< TG, TL > &b)
bool | operator!= (const IndexPair< TG, TL > &a, const IndexPair< TG, TL > &b)
bool | operator< (const IndexPair< TG, TL > &a, const IndexPair< TG, TL > &b)
bool | operator> (const IndexPair< TG, TL > &a, const IndexPair< TG, TL > &b)
bool | operator<= (const IndexPair< TG, TL > &a, const IndexPair< TG, TL > &b)
bool | operator>= (const IndexPair< TG, TL > &a, const IndexPair< TG, TL > &b)
bool | operator== (const IndexPair< TG, TL > &a, const TG &b)
bool | operator!= (const IndexPair< TG, TL > &a, const TG &b)
bool | operator< (const IndexPair< TG, TL > &a, const TG &b)
bool | operator> (const IndexPair< TG, TL > &a, const TG &b)
bool | operator<= (const IndexPair< TG, TL > &a, const TG &b)
bool | operator>= (const IndexPair< TG, TL > &a, const TG &b)

## Detailed Description

template<class TG, class TL>
class Dune::IndexPair< TG, TL >

A pair consisting of a global and local index.

The documentation for this class was generated from the following file:

- indexset.hh